package com.ruoyi.bst.balanceLog.service;

import com.ruoyi.bst.balanceLog.domain.BalanceLog;
import com.ruoyi.bst.balanceLog.domain.BalanceLogQuery;
import com.ruoyi.bst.balanceLog.domain.BalanceLogVO;

import java.util.List;

/**
 * 余额日志Service接口
 *
 * @author ruoyi
 * @date 2025-03-14
 */
public interface BalanceLogService
{
    /**
     * 查询余额日志
     *
     * @param id 余额日志主键
     * @return 余额日志
     */
    public BalanceLogVO selectBalanceLogById(Long id, boolean scope);

    default BalanceLogVO selectBalanceLogById(Long id) {
        return this.selectBalanceLogById(id, false);
    }

    /**
     * 查询余额日志列表
     *
     * @param balanceLog 余额日志
     * @return 余额日志集合
     */
    public List<BalanceLogVO> selectBalanceLogList(BalanceLogQuery balanceLog);

    /**
     * 新增余额日志
     *
     * @param balanceLog 余额日志
     * @return 结果
     */
    public int insertBalanceLog(BalanceLog balanceLog);

    /**
     * 修改余额日志
     *
     * @param balanceLog 余额日志
     * @return 结果
     */
    public int updateBalanceLog(BalanceLog balanceLog);

    /**
     * 批量删除余额日志
     *
     * @param ids 需要删除的余额日志主键集合
     * @return 结果
     */
    public int deleteBalanceLogByIds(Long[] ids);

    /**
     * 删除余额日志信息
     *
     * @param id 余额日志主键
     * @return 结果
     */
    public int deleteBalanceLogById(Long id);
}
